CSFML

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Members

- All
- Variables

- a
- b
- c
- d
- g
- h
- j
- k
- l
- m
- o
- p
- r
- s
- t
- u
- w

Here is a list of all documented variables with links to the class documentation for each member:

### - a -

- advance : sfGlyph
- alphaDstFactor : sfBlendMode
- alphaEquation : sfBlendMode
- alphaSrcFactor : sfBlendMode
- antialiasingLevel : sfContextSettings
- attributeFlags : sfContextSettings

### - b -

- bitsPerPixel : sfVideoMode
- blendMode : sfRenderStates
- bounds : sfGlyph

### - c -

- color : sfVertex
- colorDstFactor : sfBlendMode
- colorEquation : sfBlendMode
- colorSrcFactor : sfBlendMode

### - d -

- depthBits : sfContextSettings

### - g -

- getSize : sfInputStream

### - h -

- height : sfVideoMode

### - j -

- joystickButton : sfEvent
- joystickConnect : sfEvent
- joystickMove : sfEvent

### - k -

- key : sfEvent

### - l -

- length : sfTimeSpan

### - m -

- majorVersion : sfContextSettings
- minorVersion : sfContextSettings
- mouseButton : sfEvent
- mouseMove : sfEvent
- mouseWheel : sfEvent
- mouseWheelScroll : sfEvent

### - o -

- offset : sfTimeSpan

### - p -

- position : sfVertex

### - r -

- read : sfInputStream

### - s -

- sampleCount : sfSoundStreamChunk
- samples : sfSoundStreamChunk
- seek : sfInputStream
- sensor : sfEvent
- shader : sfRenderStates
- size : sfEvent
- sRgbCapable : sfContextSettings
- stencilBits : sfContextSettings

### - t -

- tell : sfInputStream
- texCoords : sfVertex
- text : sfEvent
- texture : sfRenderStates
- textureRect : sfGlyph
- touch : sfEvent
- transform : sfRenderStates
- type : sfEvent

### - u -

- userData : sfInputStream

### - w -

- width : sfVideoMode